<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:54:18 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr (org.eclipse.papyrus.designer.languages.java.reverse 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/class-use/NameExpr.html" target="_top">Frames</a></li>
<li><a href="NameExpr.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr" class="title">Uses of Class<br>org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser">org.eclipse.papyrus.designer.languages.java.reverse.javaparser</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.languages.java.reverse.umlparser">org.eclipse.papyrus.designer.languages.java.reverse.umlparser</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser</a> that return <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">ASTHelper.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ASTHelper.html#createNameExpr-java.lang.String-">createNameExpr</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;qualifiedName)</code>
<div class="block">Creates a new <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr"><code>NameExpr</code></a> from a qualified name.<br>
 The qualified name can contains "." (dot) characters.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast</a> that return <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">PackageDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/PackageDeclaration.html#getName--">getName</a></span>()</code>
<div class="block">Return the name expression of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">ImportDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/ImportDeclaration.html#getName--">getName</a></span>()</code>
<div class="block">Retrieves the name of the import.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PackageDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/PackageDeclaration.html#setName-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setName</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>
<div class="block">Sets the name of this package declaration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ImportDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/ImportDeclaration.html#setName-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setName</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>
<div class="block">Sets the name this import.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/ImportDeclaration.html#ImportDeclaration-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-boolean-boolean-">ImportDeclaration</a></span>(int&nbsp;beginLine,
                 int&nbsp;beginColumn,
                 int&nbsp;endLine,
                 int&nbsp;endColumn,
                 <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name,
                 boolean&nbsp;isStatic,
                 boolean&nbsp;isAsterisk)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/ImportDeclaration.html#ImportDeclaration-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-boolean-boolean-">ImportDeclaration</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name,
                 boolean&nbsp;isStatic,
                 boolean&nbsp;isAsterisk)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/PackageDeclaration.html#PackageDeclaration-int-int-int-int-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">PackageDeclaration</a></span>(int&nbsp;beginLine,
                  int&nbsp;beginColumn,
                  int&nbsp;endLine,
                  int&nbsp;endColumn,
                  <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                  <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/PackageDeclaration.html#PackageDeclaration-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">PackageDeclaration</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                  <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/PackageDeclaration.html#PackageDeclaration-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">PackageDeclaration</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a> that return <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">TypeDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/TypeDeclaration.html#getNameExpr--">getNameExpr</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">MethodDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html#getNameExpr--">getNameExpr</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">ConstructorDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html#getNameExpr--">getNameExpr</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a> that return types with arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">ConstructorDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html#getThrows--">getThrows</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">TypeDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/TypeDeclaration.html#setNameExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setNameExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;nameExpr)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MethodDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/MethodDeclaration.html#setNameExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setNameExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ConstructorDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html#setNameExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setNameExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Method parameters in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a> with type arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ConstructorDeclaration.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html#setThrows-java.util.List-">setThrows</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&gt;&nbsp;throws_)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructor parameters in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body</a> with type arguments of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html#ConstructorDeclaration-int-int-int-int-int-java.util.List-java.util.List-java.lang.String-java.util.List-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt-">ConstructorDeclaration</a></span>(int&nbsp;beginLine,
                      int&nbsp;beginColumn,
                      int&nbsp;endLine,
                      int&nbsp;endColumn,
                      int&nbsp;modifiers,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">TypeParameter</a>&gt;&nbsp;typeParameters,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a>&gt;&nbsp;parameters,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&gt;&nbsp;throws_,
                      <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">BlockStmt</a>&nbsp;block)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/ConstructorDeclaration.html#ConstructorDeclaration-int-java.util.List-java.util.List-java.lang.String-java.util.List-java.util.List-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt.BlockStmt-">ConstructorDeclaration</a></span>(int&nbsp;modifiers,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">AnnotationExpr</a>&gt;&nbsp;annotations,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/TypeParameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">TypeParameter</a>&gt;&nbsp;typeParameters,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/body/Parameter.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.body">Parameter</a>&gt;&nbsp;parameters,
                      <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&gt;&nbsp;throws_,
                      <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/stmt/BlockStmt.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.stmt">BlockStmt</a>&nbsp;block)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/QualifiedNameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">QualifiedNameExpr</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr</a> declared as <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">AnnotationExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html#name">name</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr</a> that return <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">FieldAccessExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/FieldAccessExpr.html#getFieldExpr--">getFieldExpr</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">AnnotationExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">MethodCallExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MethodCallExpr.html#getNameExpr--">getNameExpr</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></code></td>
<td class="colLast"><span class="typeNameLabel">QualifiedNameExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/QualifiedNameExpr.html#getQualifier--">getQualifier</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FieldAccessExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/FieldAccessExpr.html#setFieldExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setFieldExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;field)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">AnnotationExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/AnnotationExpr.html#setName-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setName</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">MethodCallExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MethodCallExpr.html#setNameExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setNameExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">QualifiedNameExpr.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/QualifiedNameExpr.html#setQualifier-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">setQualifier</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;qualifier)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MarkerAnnotationExpr.html#MarkerAnnotationExpr-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">MarkerAnnotationExpr</a></span>(int&nbsp;beginLine,
                    int&nbsp;beginColumn,
                    int&nbsp;endLine,
                    int&nbsp;endColumn,
                    <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MarkerAnnotationExpr.html#MarkerAnnotationExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-">MarkerAnnotationExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NormalAnnotationExpr.html#NormalAnnotationExpr-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-java.util.List-">NormalAnnotationExpr</a></span>(int&nbsp;beginLine,
                    int&nbsp;beginColumn,
                    int&nbsp;endLine,
                    int&nbsp;endColumn,
                    <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name,
                    <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MemberValuePair.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">MemberValuePair</a>&gt;&nbsp;pairs)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NormalAnnotationExpr.html#NormalAnnotationExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-java.util.List-">NormalAnnotationExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name,
                    <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/MemberValuePair.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">MemberValuePair</a>&gt;&nbsp;pairs)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/QualifiedNameExpr.html#QualifiedNameExpr-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-java.lang.String-">QualifiedNameExpr</a></span>(int&nbsp;beginLine,
                 int&nbsp;beginColumn,
                 int&nbsp;endLine,
                 int&nbsp;endColumn,
                 <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;scope,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/QualifiedNameExpr.html#QualifiedNameExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-java.lang.String-">QualifiedNameExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;scope,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/SingleMemberAnnotationExpr.html#SingleMemberAnnotationExpr-int-int-int-int-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.Expression-">SingleMemberAnnotationExpr</a></span>(int&nbsp;beginLine,
                          int&nbsp;beginColumn,
                          int&nbsp;endLine,
                          int&nbsp;endColumn,
                          <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name,
                          <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">Expression</a>&nbsp;memberValue)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/SingleMemberAnnotationExpr.html#SingleMemberAnnotationExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.Expression-">SingleMemberAnnotationExpr</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;name,
                          <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/Expression.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">Expression</a>&nbsp;memberValue)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.visitor</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VoidVisitorAdapter.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitorAdapter.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitorAdapter.html" title="type parameter in VoidVisitorAdapter">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">VoidVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/VoidVisitor.html" title="type parameter in VoidVisitor">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">ModifierVisitorAdapter.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/ModifierVisitorAdapter.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/ModifierVisitorAdapter.html" title="type parameter in ModifierVisitorAdapter">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitorAdapter.html" title="type parameter in GenericVisitorAdapter">R</a></code></td>
<td class="colLast"><span class="typeNameLabel">GenericVisitorAdapter.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitorAdapter.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitorAdapter.html" title="type parameter in GenericVisitorAdapter">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitor.html" title="type parameter in GenericVisitor">R</a></code></td>
<td class="colLast"><span class="typeNameLabel">GenericVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/GenericVisitor.html" title="type parameter in GenericVisitor">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Boolean.html?is-external=true" title="class or interface in java.lang">Boolean</a></code></td>
<td class="colLast"><span class="typeNameLabel">EqualsVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/EqualsVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.Node-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n1,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DumpVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/DumpVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-java.lang.Object-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/Node.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast">Node</a></code></td>
<td class="colLast"><span class="typeNameLabel">CloneVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/visitor/CloneVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-java.lang.Object-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;_n,
     <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;_arg)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.languages.java.reverse.umlparser">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a> in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.umlparser</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/package-summary.html">org.eclipse.papyrus.designer.languages.java.reverse.umlparser</a> with parameters of type <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">SwitchVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/SwitchVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/SwitchVisitor.html" title="type parameter in SwitchVisitor">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/GenericSwitchVisitor.html" title="type parameter in GenericSwitchVisitor">R</a></code></td>
<td class="colLast"><span class="typeNameLabel">GenericSwitchVisitor.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/GenericSwitchVisitor.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-A-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/GenericSwitchVisitor.html" title="type parameter in GenericSwitchVisitor">A</a>&nbsp;arg)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompilationUnitAnalyser.CreatePackage.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CompilationUnitAnalyser.CreatePackage.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-java.util.List-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;names)</code>
<div class="block">Create the package part</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">CompilationUnitAnalyser.QualifiedNameParser.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/umlparser/CompilationUnitAnalyser.QualifiedNameParser.html#visit-org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr.NameExpr-java.util.List-">visit</a></span>(<a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">NameExpr</a>&nbsp;n,
     <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;names)</code>
<div class="block">Create the package part</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../../org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/NameExpr.html" title="class in org.eclipse.papyrus.designer.languages.java.reverse.javaparser.ast.expr">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/reverse/javaparser/ast/expr/class-use/NameExpr.html" target="_top">Frames</a></li>
<li><a href="NameExpr.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
